Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Canon printer geeft CUP-error  (gelezen 553 keer)

Canon printer geeft CUP-error
« Gepost op: 2020/09/01, 17:35:35 »
Ubuntu 20.04

L.S.

Ik heb een Canon Pixma TS3300 printer geïnstalleerd via een usb-aansluiting. Ubuntu Instellingen herkent de printer, maar als ik iets wil uitprinten krijg ik de foutmelding:

Citaat
CUP-serverfout
Citaat
server-error-internal-error

Ik heb geen flauw idee hoe ik dit kan oplossen. Hopelijk iemand op dit forum wel.

Bvd

Joshua Orbit

  • Gast
Re: Canon printer geeft CUP-error
« Reactie #1 Gepost op: 2020/09/02, 08:47:01 »
De Canon driver installeren is volgens mij aangewezen. De generische versie kan alweer outdated zijn voor CUPS.

Re: Canon printer geeft CUP-error
« Reactie #2 Gepost op: 2020/09/02, 10:46:02 »
Dank voor de reactie. Hoe installeer ik die driver? Ik namelijk nogal onwetend met printers.

Re: Canon printer geeft CUP-error
« Reactie #3 Gepost op: 2020/09/02, 11:19:34 »
Op deze website staat dat Canon Linux 64 bit niet meer ondersteunt. Dat zou vervelend zijn. Zou er dan nog een omweg te vinden zijn?

Citaat
https://www.canon.nl/support/consumer_products/products/printers/inkjet/pixma_ip_series/pixma_ip3300.html?type=drivers&language=nl&os=linux%20(64-bit)


Re: Canon printer geeft CUP-error
« Reactie #5 Gepost op: 2020/09/02, 19:31:07 »
Ga ik proberen...

Re: Canon printer geeft CUP-error
« Reactie #6 Gepost op: 2020/09/06, 11:08:49 »
Citaat
Misschien de PIXMA TS3320 driver proberen?
https://www.usa.canon.com/internet/portal/us/home/support/details/printers/inkjet-multifunction/ts-series-inkjet/pixma-ts3320?tab=drivers_downloads

Helaas, ook dat werkt niet. Ik vrees dat Canon Linux de rug heeft toegekeerd en ik ben vergeten dat voor de aankoop te checken. Soit, de printer gaat naar een student met een Windows-machine. Is er een simpel all-in-one printertje dat gegarandeerd in Ubuntu 20.04 werkt?

Re: Canon printer geeft CUP-error
« Reactie #7 Gepost op: 2020/09/06, 12:11:56 »
Het veiligste is een HP printer want linux ondersteunt dat
Hier staat reeds enkele jaren de HP envy 4500 voor printen + scannen

groeten van Michael
Mint Cinnamon fan  Firejail Chrome HPlip  digikam Freefilesync Puddletag virtualbox gmail
Desktop HP ProDesk 400G3 64bit I5 16gb multiboot: SSD: W10 + Mint 20 Cinnamon / HD:data  ●  Laptop HP ProBook 6570b 64bit I5 4gb SSD multiboot Mint 20 Cinnamon + W10 + data ● TESTBAK Desktop HP-Compaq 8000 64bit 4gb Intel core 2 duo E8400 SSD

Offline Phil II

  • Lid
Re: Canon printer geeft CUP-error
« Reactie #8 Gepost op: 2020/09/06, 13:22:15 »
Enigszins of topic :
als je het Open Source HPLIP cq HPLIP-GUI project van SOURFORCE in acht neemt lijkt het mij verstandig van in deze moeilijke “ Printer installatie tijden “ voorlopig de voorkeur te geven aan HP ( heb het enkel en alléén over printers ! )

https://sourceforge.net/projects/hplip/

de meningen zullen uiteraard verdeeld zijn maar ik denk dat de tijd rijp is om dit probleem eens grondig uit te diepen ... een topic op zich waard ?

Offline HWE64

  • Lid
Re: Canon printer geeft CUP-error
« Reactie #9 Gepost op: 2020/09/06, 14:26:32 »
+1
Niet panikeren, er is een Ubuntuforum.

1] Linux Mint 21 Xfce (Desktop hoofd pc). 2] Linux Mint 20.3 Xfce (Clevo Laptop ). 3] Xubuntu 22.04.1 LTS/Linux Mint 21 Xfce (HP Desktop test pc).  4] W10 (Dell Desktop).

Offline ajjp

  • Lid
Re: Canon printer geeft CUP-error
« Reactie #10 Gepost op: 2020/09/06, 14:29:15 »
En nog een HP-stemmer.
Zie voor alle ondersteunde printers: https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index

Re: Canon printer geeft CUP-error
« Reactie #11 Gepost op: 2020/09/06, 16:20:59 »
Het is mij duidelijk. Dank voor de reacties.